# Table of contents

* [yq](README.md)
* [How It Works](how-it-works.md)
* [Recipes](usage/recipes.md)
* [Upgrading from V3](upgrading-from-v3.md)

## Commands

* [Evaluate](commands/evaluate.md)
* [Evaluate All](commands/evaluate-all.md)
* [Shell Completion](commands/shell-completion.md)

***

* [Operators](operators/README.md)
  * [Add](operators/add.md)
  * [Alternative (Default value)](operators/alternative-default-value.md)
  * [Anchor and Alias Operators](operators/anchor-and-alias-operators.md)
  * [Array to Map](operators/array-to-map.md)
  * [Assign (Update)](operators/assign-update.md)
  * [Boolean Operators](operators/boolean-operators.md)
  * [Collect into Array](operators/collect-into-array.md)
  * [Column](operators/column.md)
  * [Comment Operators](operators/comment-operators.md)
  * [Compare Operators](operators/compare.md)
  * [Contains](operators/contains.md)
  * [Create, Collect into Object](operators/create-collect-into-object.md)
  * [Date Time](operators/datetime.md)
  * [Delete](operators/delete.md)
  * [Divide](operators/divide.md)
  * [Document Index](operators/document-index.md)
  * [Encode / Decode](operators/encode-decode.md)
  * [Entries](operators/entries.md)
  * [Env Variable Operators](operators/env-variable-operators.md)
  * [Equals](operators/equals.md)
  * [Eval](operators/eval.md)
  * [File Operators](operators/file-operators.md)
  * [Filter Operator](operators/filter.md)
  * [Flatten](operators/flatten.md)
  * [Group By](operators/group-by.md)
  * [Has](operators/has.md)
  * [Keys](operators/keys.md)
  * [Length](operators/length.md)
  * [Line](operators/line.md)
  * [Load](operators/load.md)
  * [Map](operators/map.md)
  * [Modulo](operators/modulo.md)
  * [Multiply (Merge)](operators/multiply-merge.md)
  * [Parent](operators/parent.md)
  * [Path](operators/path.md)
  * [Pick](operators/pick.md)
  * [Pipe](operators/pipe.md)
  * [Recursive Descent (Glob)](operators/recursive-descent-glob.md)
  * [Reduce](operators/reduce.md)
  * [Reverse](operators/reverse.md)
  * [Select](operators/select.md)
  * [Shuffle](operators/shuffle.md)
  * [Slice Array](operators/slice-array.md)
  * [Sort](operators/sort.md)
  * [Sort Keys](operators/sort-keys.md)
  * [Split into Documents](operators/split-into-documents.md)
  * [String Operators](operators/string-operators.md)
  * [Style](operators/style.md)
  * [Subtract](operators/subtract.md)
  * [Tag](operators/tag.md)
  * [Traverse (Read)](operators/traverse-read.md)
  * [Union](operators/union.md)
  * [Unique](operators/unique.md)
  * [Variable Operators](operators/variable-operators.md)
  * [With](operators/with.md)

## Usage

* [Output format](usage/output-format.md)
* [Working with CSV, TSV](usage/csv-tsv.md)
* [Working with JSON](usage/convert.md)
* [Working with Properties](usage/properties.md)
* [Working with XML](usage/xml.md)
* [Working with LUA](usage/lua.md)
* [Working with TOML](usage/toml.md)
* [Working with Shell Output](usage/shellvariables.md)
* [Front Matter](usage/front-matter.md)
* [Split into multiple files](usage/split-into-multiple-files.md)
* [GitHub Action](usage/github-action.md)
* [Tips, Tricks, Troubleshooting](usage/tips-and-tricks.md)

***

* [Github Page](https://github.com/mikefarah/yq)
